function [ T0 A B F P] = ComputeG( A0,A1,d,Q0,tau0,beta,mu )
%COMPUTEG Compute government income given mu and return tax revenues, and
%Policy matrixes for the planner
    %%Create Matrixes
    R = [0 -A0/2 0 0; -A0/2 A1/2 -mu/2 0;0 -mu/2 0 0;0 0 0 d/2];
    A = [1 0 0 0;0 1 0 1;0 0 0 0;-A0/d A1/d 0 A1/d+1/beta];
    B = [0;0;1;1/d];
    Q = 0;
    %OLRP to solve the Ramsey Problem.
    [F,P] = OLRP(beta,A,B,-R,Q);
    %Need y_0 to compute government tax revenue.
    P21 = P(4,1:3); P22 = P(4,4);
    z0 = [1;Q0;tau0];
    u0 = -P22^(-1)*P21*z0;
    y0 = [z0;u0];
    %Define A_F and S matricies
    AF = A-B*F;
    S =[0;1;0;0]*[0,0,1,0];
    %dlyap(A,B,C) solves X = AXB^T+C.  Solves equation (25)
    Omega = dlyap(beta*AF',AF,beta*AF'*S*AF);
    T0 = y0'*Omega*y0;
end

